//---------------------------------------------------------------------------
#include <vcl\vcl.h>
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "DirectInput.h"
#include "TDirectDrawForm.h"
//---------------------------------------------------------------------------
static inline TDirectInput *ValidCtrCheck()
{
	return new TDirectInput(NULL);
}
//---------------------------------------------------------------------------
namespace Directinput
{
	void __fastcall Register()
	{
		TComponentClass classes[1] = {__classid(TDirectInput)};
		RegisterComponents("DirectX 3.0", classes, 0);
	}
}
//---------------------------------------------------------------------------
__fastcall TDirectInput::TDirectInput(TComponent* Owner)
	: TComponent(Owner)
{
fDirectInput = NULL;
fKeyboard = NULL;
fMouse = NULL;

fErrorValue = DirectInputCreate( HInstance, DIRECTINPUT_VERSION, &fDirectInput, NULL);
if (fErrorValue == DI_OK)
	{
    fErrorValue = fDirectInput->CreateDevice( GUID_SysMouse, &fMouse, NULL);
    if (fErrorValue == DI_OK) fMouse->SetCooperativeLevel( DirectDrawForm->Handle, DISCL_FOREGROUND | DISCL_EXCLUSIVE );
    
	fErrorValue = fDirectInput->CreateDevice( GUID_SysKeyboard, &fKeyboard, NULL);
    if (fErrorValue == DI_OK) fKeyboard->SetCooperativeLevel( DirectDrawForm->Handle, DISCL_FOREGROUND | DISCL_EXCLUSIVE );
    }
}
//---------------------------------------------------------------------------
__fastcall TDirectInput::~TDirectInput()
{
if (fDirectInput != NULL)
	{
    if (fKeyboard != NULL) 	{ fKeyboard->Release(); fKeyboard = NULL; }
    if (fMouse != NULL)		{ fMouse->Release(); fMouse = NULL; }

	fErrorValue = fDirectInput->Release();
    fDirectInput = NULL;
    }
}
//---------------------------------------------------------------------------

