//---------------------------------------------------------------------------
#ifndef DirectXH
#define DirectXH
//---------------------------------------------------------------------------
#include <d3drmwin.h>
#include <direct.h>
//---------------------------------------------------------------------------
// gde 3.0 -- standard data types
#define dword								unsigned long
#define	word								unsigned short
#define	byte								unsigned char
#define	sdword								signed int
#define	sword								signed short
#define	sbyte								signed char
//---------------------------------------------------------------------------
// gde 3.0 -- defines to make DirectX params more transparent.. ?
#define	_Result								HRESULT
#define	_WindowHandle						HWND
#define	_WindowClass						WNDCLASS
#define	_DeviceContext						HDC
//---------------------------------------------------------------------------
// gde 3.0 -- the pointers to the DirectX 3.0 objects
#define	_DirectDraw							LPDIRECTDRAW
//---------------------------------------------------------------------------
// gde 3.0 -- direct draw 3.0 objects/structures
#define	_DirectDrawSurfaceDescription		DDSURFACEDESC
#define	_DirectDrawSurface					LPDIRECTDRAWSURFACE
#define	_DirectDrawPalette					LPDIRECTDRAWPALETTE
#define	_DirectDrawCapabilities				LPDDSCAPS
#define	_DirectDrawPaletteEntry				LPPALETTEENTRY
//---------------------------------------------------------------------------
// gde 3.0 -- direct draw error codes returned by DirectX functions
#define	_Ok									DD_OK
#define Err_SurfaceLost						DDERR_SURFACELOST
//---------------------------------------------------------------------------
// gde 3.0 -- direct draw failure macro
#define	_Failed(X)							((X) != DD_OK) ? true : false
//---------------------------------------------------------------------------
#define _Clip(aNUM,AMIN,aMAX)				if ((aNUM) < (aMIN)) (aNUM) = (aMIN);	\
											else									\
                                            if ((aNUM) > (aMAX)) (aNUM) = (aMAX);	\
//---------------------------------------------------------------------------
#endif
